## r-cran-ellipsis 0.2.0.1

=== debian/changelog ===
r-cran-ellipsis (0.2.0.1-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 17:26:22 -0500

r-cran-ellipsis (0.2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Jul 2019 05:56:01 -0500

r-cran-ellipsis (0.2.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add (Build-)Depends: on r-cran-rlang

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jun 2019 06:18:24 -0500

r-cran-ellipsis (0.1.0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #923043)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Feb 2019 08:22:26 -0600

## r-cran-ellipsis 0.3.0

=== DESCRIPTION ===
Package: ellipsis
Version: 0.3.0
Title: Tools for Working with ...
Description: The ellipsis is a powerful tool for extending functions. Unfortunately 
    this power comes at a cost: misspelled arguments will be silently ignored. 
    The ellipsis package provides a collection of functions to catch problems
    and alert the user.
Authors@R: c(
      person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
      person("RStudio", role = "cph")
    )
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
URL: https://ellipsis.r-lib.org, https://github.com/r-lib/ellipsis
BugReports: https://github.com/r-lib/ellipsis/issues
Depends: R (>= 3.2)
Imports: rlang (>= 0.3.0)
Suggests: covr, testthat
NeedsCompilation: yes
Packaged: 2019-09-20 20:15:40 UTC; jhester
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-09-20 20:40:02 UTC

=== debian/changelog ===
r-cran-ellipsis (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Sep 2019 11:12:42 -0500

=== debian/control ===
Source: r-cran-ellipsis
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rlang
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-ellipsis
Vcs-Git: https://salsa.debian.org/edd/r-cran-ellipsis.git
Homepage: https://cran.r-project.org/package=ellipsis

Package: r-cran-ellipsis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rlang
Description: GNU R package for working with ... (variable arguments)
 The package offers a generic method that warns when arguments passed via
 the ... argument are silently ignored.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-ellipsis package
# Copyright 2003 - 2019 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-ellipsis 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ellipsis
-Version: 0.3.0
+Version: 0.3.1
 Title: Tools for Working with ...
 Description: The ellipsis is a powerful tool for extending functions. Unfortunately 
     this power comes at a cost: misspelled arguments will be silently ignored. 
@@ -12,16 +12,16 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 URL: https://ellipsis.r-lib.org, https://github.com/r-lib/ellipsis
 BugReports: https://github.com/r-lib/ellipsis/issues
 Depends: R (>= 3.2)
 Imports: rlang (>= 0.3.0)
 Suggests: covr, testthat
 NeedsCompilation: yes
-Packaged: 2019-09-20 20:15:40 UTC; jhester
+Packaged: 2020-05-15 05:57:33 UTC; lionel
 Author: Hadley Wickham [aut, cre],
   RStudio [cph]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-09-20 20:40:02 UTC
+Date/Publication: 2020-05-15 14:10:06 UTC

=== debian/changelog ===
r-cran-ellipsis (0.3.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Drop unneeded versioned Build-Depends r-base-dev

 -- Andreas Tille <tille@debian.org>  Tue, 25 May 2021 18:06:52 +0200

r-cran-ellipsis (0.3.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 22:29:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rlang
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), dh-r, r-cran-rlang
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ellipsis
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ellipsis.git
 Homepage: https://cran.r-project.org/package=ellipsis

## r-cran-ellipsis 0.3.2

=== DESCRIPTION ===
Package: ellipsis
Version: 0.3.2
Title: Tools for Working with ...
Description: The ellipsis is a powerful tool for extending functions. Unfortunately 
    this power comes at a cost: misspelled arguments will be silently ignored. 
    The ellipsis package provides a collection of functions to catch problems
    and alert the user.
Authors@R: c(
      person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
      person("RStudio", role = "cph")
    )
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
URL: https://ellipsis.r-lib.org, https://github.com/r-lib/ellipsis
BugReports: https://github.com/r-lib/ellipsis/issues
Depends: R (>= 3.2)
Imports: rlang (>= 0.3.0)
Suggests: covr, testthat
NeedsCompilation: yes
Packaged: 2021-04-29 12:06:44 UTC; lionel
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-04-29 12:40:02 UTC

=== debian/changelog ===
r-cran-ellipsis (0.3.2-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 13:00:38 -0500

r-cran-ellipsis (0.3.2-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 14:56:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-cran-rlang
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rlang
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ellipsis
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ellipsis.git
 Homepage: https://cran.r-project.org/package=ellipsis

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/ellipsis_([-\d\.]*)\.tar.gz
